> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Ticket Update Status

PATCH https://api.simjuno.com/v1/tickets/{id}
Content-Type: application/json

Update the status of a ticket

Reference: https://docs.simjuno.com/api-reference/tickets/ticket-update-status

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /tickets/{id}:
    patch:
      operationId: ticket-update-status
      summary: Ticket Update Status
      description: Update the status of a ticket
      tags:
        - tickets
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tickets_ticket-updateStatus_Response_200'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  $ref: >-
                    #/components/schemas/TicketsIdPatchRequestBodyContentApplicationJsonSchemaStatus
                  default: open
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    TicketsIdPatchRequestBodyContentApplicationJsonSchemaStatus:
      type: string
      enum:
        - open
        - closed
        - resolved
      default: open
      title: TicketsIdPatchRequestBodyContentApplicationJsonSchemaStatus
    tickets_ticket-updateStatus_Response_200:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
      title: tickets_ticket-updateStatus_Response_200
    ErrorBadRequestIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorBadRequestIssuesItems
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorBadRequestIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.BAD_REQUEST
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorNotFoundIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorNotFoundIssuesItems
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorNotFoundIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.NOT_FOUND
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "success": true
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/tickets/id"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/tickets/id';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/tickets/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/tickets/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.simjuno.com/v1/tickets/id")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.simjuno.com/v1/tickets/id', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/tickets/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/tickets/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```